Skip to main content
GET
List invoices

Authorizations

X-Api-Key
string
header
required

An API key that grants access to the Connect API. You can create and manage API keys in the portal.

Query Parameters

limit
integer
default:100

The maximum number of items to return.

Required range: 1 <= x <= 1000
cursor
string

Opaque pagination token from a previous response's nextCursor.

customerId
string[]

Filter invoices by customer IDs

status
enum<string>[]

Filter invoices by status

Current status of the invoice lifecycle.

Available options:
DRAFT,
SENT,
PAID,
VOID,
OVERDUE
fromDate
string<date>

Filter invoices created from this date

toDate
string<date>

Filter invoices created up to this date

dueDateFrom
string<date>

Filter invoices with due date from this date

dueDateTo
string<date>

Filter invoices with due date up to this date

Response

Invoices retrieved successfully

items
object[]
required
pagination
object
required